"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = require("chalk");
var fs = require("fs-extra");
var _ = require("lodash");
var util = require("../utility/utility");
function create(name, description, cmd) {
    var config = util.getConfig();
    var type = cmd.suite ? 'suite' : cmd.test ? 'test' : null;
    if (!type) {
        console.error('Create type must be defined, specify either test (-t, --test) or suite (-s, --suite)');
        return;
    }
    if (name == undefined) {
        console.error('A name must be defined for creation to occur.');
        return;
    }
    console.log("Created " + chalk_1.default.blueBright(type) + " named " + chalk_1.default.blueBright(name) + " ");
    if (type == 'test') {
        var fileName = _.camelCase(name);
        var fileSubDirectory = process.cwd() + config.rootTestPath + fileName + ".test.js";
        fs.outputFile(fileSubDirectory, "/*" + description + "*/");
        var newTest = { testName: name, testDescription: description, jsFilePath: fileSubDirectory };
        config.tests.push(newTest);
    }
    else { //suite
        var newSuite = { suiteName: name, suiteDescription: description, tests: [] };
        config.suites.push(newSuite);
    }
    util.setConfig(util.configFile, config);
    return;
}
exports.create = create;
//# sourceMappingURL=create.js.map