"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
var inquirer = require("inquirer");
var util = require("../utility/utility");
function init(options) {
    if (fs.existsSync(util.configFile) && !options.force) {
        return console.error('Config file already exists');
    }
    if (options.skip) {
        // skip prompts and create with defaults
        util.setConfig(util.configFile, util.configDefaults);
        return;
    }
    var questions = [
        {
            name: 'projectName',
            message: 'Project Name',
            default: (util.configDefaults.projectName || undefined),
        },
        {
            name: 'testUrl',
            message: 'Test Site URL',
            default: (util.configDefaults.testUrl || undefined)
        },
        {
            name: 'rootPath',
            message: 'Tests Root Path',
            default: (util.configDefaults.rootTestPath || undefined)
        }
    ];
    // prompt user for config options
    inquirer.prompt(questions).then(function (answers) {
        util.setConfig(util.configFile, {
            projectName: answers.projectName,
            testUrl: answers.testUrl,
            rootTestPath: answers.rootPath
        });
    });
}
exports.init = init;
//# sourceMappingURL=init.js.map